Bug Hunting Session
Bug 89227 - CRASH: Accepting changes on Floating Frame in Writer causes a crash
Summary: CRASH: Accepting changes on Floating Frame in Writer causes a crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: highest major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.1 target:4.3.7
Keywords: haveBacktrace
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2015-02-08 13:06 UTC by Eudien
Modified: 2015-02-25 08:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (6.65 KB, text/plain)
2015-02-08 15:35 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eudien 2015-02-08 13:06:23 UTC
Steps to reproduce:
1 Open Writer
2 Click Insert->Floating Frame
3 Click Browse to select any image on the Contents then Click Ok
4 Click to select the image inside the frame
5 Click Edit->Changes->Accept or Reject->Acept
6 The Writer crashes
Comment 1 Robinson Tryon (qubit) 2015-02-08 13:30:37 UTC
TESTING with (various) + Ubuntu 14.04

(In reply to Eudien from comment #0)
> Steps to reproduce:
> 1 Open Writer
> 2 Click Insert->Floating Frame
> 3 Click Browse to select any image on the Contents then Click Ok
> 4 Click to select the image inside the frame
> 5 Click Edit->Changes->Accept or Reject->Acept
> 6 The Writer crashes

With 4.3.5.2, I can cause a crash.
With 4.4.0.3 if I try Edit -> Track Changes -> Manage Changes -> Accept, I can also cause a crash.
Also a crash with LO-master
Version: 4.5.0.0.alpha0+
Build ID: 40432ac6caa478474d73786f95b808c14e106ff2
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-02-03_01:24:42
Locale: en_US

Status -> NEW
Comment 2 Julien Nabet 2015-02-08 15:35:19 UTC
Created attachment 113227 [details]
bt with debug symbols

On pc Debiian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 3 Julien Nabet 2015-02-08 15:36:53 UTC
I could reproduce the crash with LO Debian package 4.3.3.2
Comment 4 Commit Notification 2015-02-12 21:21:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25dd3d277e9b90a59e7b2a03202ef0cba7799b68

Resolves: tdf#89227 if no SwView then disable accept/reject change buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2015-02-12 21:25:01 UTC
There is no SwView in the context of the embedded draw ole object. So we should start those dialogs with buttons disabled by default and only enable them if we can get a SwView.

reviews in gerrit for 4-4 and 4-3
Comment 6 Commit Notification 2015-02-13 14:38:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8db3a1761097ea1d2ab0d26d0f08f9581fb409b&h=libreoffice-4-4

Resolves: tdf#89227 if no SwView then disable accept/reject change buttons

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-02-20 11:57:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2190facc78a9e882558be7a9ffdd35f4df6222c1&h=libreoffice-4-4-1

Resolves: tdf#89227 if no SwView then disable accept/reject change buttons

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-02-25 08:45:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a840857c2d2490ee8d1b0289df8d9bf588981c48&h=libreoffice-4-3

Resolves: tdf#89227 if no SwView then disable accept/reject change buttons

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.